summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-libs/htslib/htslib-1.3.1.ebuild')
-rw-r--r--sci-libs/htslib/htslib-1.3.1.ebuild21
1 files changed, 21 insertions, 0 deletions
diff --git a/sci-libs/htslib/htslib-1.3.1.ebuild b/sci-libs/htslib/htslib-1.3.1.ebuild
new file mode 100644
index 00000000000..79e7d9d7cbb
--- /dev/null
+++ b/sci-libs/htslib/htslib-1.3.1.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="C library for high-throughput sequencing data formats"
+HOMEPAGE="http://www.htslib.org/"
+SRC_URI="mirror://sourceforge/samtools/${PV}/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+src_install() {
+ default
+ if ! use static-libs; then
+ find "${ED}" -type f -name "*.a" -delete || die
+ fi
+}